Parameters
listing
dictionary
list_price
number
description
string
account_id
number
currency_id
number
stock
number
sku
string
barcode
string
attributes
array
title
string
offer_percent
number
images
array
category_id
array
coordinates
dictionary
POST/products/v1/listings
bash
curl https://api.tradly.app/products/v1/listings \
-H "Authorization: Bearer YOUR_PUBLISHABLE_OR_SECRET_KEY" \
-H "Content-Type: application/json" \
-X POST \
-d '{
"listing": {
"list_price": 50,
"description": "Test",
"account_id": 26,
"currency_id": 13,
"stock": 2,
"sku": "JH105",
"barcode": "69016541889113",
"attributes": [
{
"values": [
"one",
"two",
"three",
"four_five_"
],
"id": 71
}
],
"title": "Tags testing ",
"offer_percent": 0,
"images": [
"https://storage.googleapis.com/tradlyapp/images/73717/9dc9f94e-270b-42bd-bfaa-60b1fa039669.png"
],
"category_id": [
257
],
"coordinates": {
"latitude": 10.0790473,
"longitude": 78.7816108
}
}
}'RESPONSE
json
{
"status": true,
"data": {
"listing": {
"id": 1
}
}
}